Can Apple FORCE an upgrade?

jimmy-m

New Member
Bronze
Jul 19, 2009
40
0
0
#1
Now that Apple has blocked people from ever reverting to 3.0, I have a question.

My 3GS is currently running 3.0 and it is jailbroken. Of course, I have no plans to upgrade to 3.1 before a new JB is developed, but I'm not so sure I would want to even then.

It's funny because sometimes iTunes tells me my software up to date and sometimes it asks me if I want to upgrade.

Can Apple FORCE an upgrade to 3.1? If so, how likely is it that they may someday? Is there any way to absolutely prevent an upgrade?

I only synch to get podcasts because I use the iPhone for an mp3 player more than anything else. If I think they might pull a dirty trick later I may just quit synching it altogether and revert back to my old mp3 player.

Thanks.
 

otakuuu

Member
Bronze
Jul 7, 2009
38
0
6
#2
I would say no, Apple cannot FORCE you to download anything, just like Windows can't force you to on turn automatic updates. If they attempted that there would be maaannny angry people methinks...
 

jjvaldez

New Member
Gold
Jul 3, 2007
2,615
0
0
33
Salinas, Ca
#3
this is the thing, Apple cannot force you to but they kinda can, this is why.
The apps will only be compatible with 3.1 at some point so you wont be able to use them, that is the only reason that you will need to upgrade at some point so that you can use apps
 

Europa

Moderator
Senior Moderator
Dec 12, 2008
28,453
5,578
113
Utah
#4
Now that Apple has blocked people from ever reverting to 3.0, I have a question.

My 3GS is currently running 3.0 and it is jailbroken. Of course, I have no plans to upgrade to 3.1 before a new JB is developed, but I'm not so sure I would want to even then.

It's funny because sometimes iTunes tells me my software up to date and sometimes it asks me if I want to upgrade.

Can Apple FORCE an upgrade to 3.1? If so, how likely is it that they may someday? Is there any way to absolutely prevent an upgrade?

I only synch to get podcasts because I use the iPhone for an mp3 player more than anything else. If I think they might pull a dirty trick later I may just quit synching it altogether and revert back to my old mp3 player.

Thanks.
Yes and No.

Apple can't take control of your finger and make you push the update button, not yet at least.;)
Forcing you would be in the form of them making the FW expire, similar to the betas. Beta users that have not updated to the new beta by a certain deadline get a purple or pink screen, IIRC.

However, if you need to get a replacement, it will likely have 3.1, if you want new things like MMS, if will only officially be available for 3.1 users, many apps won't work on old FW, if you get to a point where you need to restore, you will have to restore to the latest FW.

The only way to prevent it is to jailbreak it and get the files that are specific to each iPhone 3GS, the ECID, iBEC, and iBSS saved and backed up and upload your ECID to Saurik's server, to bypass Apple's signature process.
 

Europa

Moderator
Senior Moderator
Dec 12, 2008
28,453
5,578
113
Utah
#6
Yeah, the augmented reality apps like Yelp are 3.1 only. You can't purchase them at this point unless you're running 3.1. If you already purchased Yelp prior to the app update, updating it will cause it to be removed from the phone. You can retrieve the old version from your trashcan if you accidentally update.
 
Jun 19, 2007
33,493
4,550
113
Upper Marlboro, MD
#7
I have the non-updated Yelp, but I can't buy RobotVision without updating the firmware, which I won't do until the jailbreak is available.
 

impaler

Member
Silver
Apr 28, 2007
522
2
18
#8
Well, carriers COULD, in theory, push an update OTA without notifying you. However, I don't think they'd be able to stand the backlash. Other than an OTA update, they could designate your hardware obsolete, turn off tech support, etc., but nobody can physically force you to connect your phone to iTunes.
 

BigCiX

Zealot
Gold
Jul 11, 2008
1,445
5
38
Bakersfield, CA
#9
Apple is forcing first gen iPhones to upgrade if they want mms. Well.....somewhat force.
 

3GiphoneE

Member
Bronze
Nov 27, 2008
30
0
6
#12
I use YELP on my 3GS and it works perfectly with my 3.0 fm. And it's the latest YELP.
 

ZipZap

Member
Silver
Dec 15, 2007
529
1
18
#13
3GS owners are being forced to upgrade. There is not other way to look at it.

As soon as any of us needs to restore (and for some that's a regular event), you are on 3.1.

When Apple finally stops signing 3G and 2G....you will be forced to upgrade sooner or later.

The real question is...do they have the right to stop signing the operating systems.

I say NO.

I know of no other phone maker that forces their customers to upgrade.